' Copyright (c) 2003 Quadralay Corporation.  All rights reserved.
'
'$Id: WWHelp4\040Register.vbs,v 1.2 2004/03/17 20:57:32 allums Exp $
'

' ###############################################

Set GlobalFileSystem = CreateObject("Scripting.FileSystemObject")
Set GlobalShell = CreateObject("WScript.Shell")

WScript.Quit(Not WWHelp4_Main)

' ###############################################

Function WWHelp4_Main()
  Dim bVarSuccess


  ' Initialize return value
  '
  bVarSuccess = False

  WScript.Echo "WebWorks Help 4.0 COM: Start"

  ' Register WWHelp4 COM object
  '
  If (WWHelp4_RegisterCOMObject()) Then
    ' Success!
    '
    bVarSuccess = True

    WScript.Echo "WebWorks Help 4.0 COM: Successfully registered WWHelp4.dll!"
  Else
    ' Error registering COM object
    '
    WScript.Echo "WebWorks Help 4.0 COM: Unable to register WWHelp4.dll as a COM service."
  End If

  WWHelp4_Main = bVarSuccess
End Function

' ###############################################

Function WWHelp4_RegisterCOMObject()
  Dim bVarSuccess
  Dim VarWWHelp4Path
  Dim VarCommand


  ' Initialize return value
  '
  bVarSuccess = False

  ' Determine location of WWHelp4.dll
  '
  VarWWHelp4Path = WScript.ScriptFullName
  VarWWHelp4Path = GlobalFileSystem.GetParentFolderName(VarWWHelp4Path)
  VarWWHelp4Path = GlobalFileSystem.BuildPath(VarWWHelp4Path, "WWHelp4.dll")

  ' Register DLL as a COM object
  '
  If (GlobalFileSystem.FileExists(VarWWHelp4Path)) Then
    ' Use regsvr32
    '
    VarCommand = "regsvr32 /s """ & VarWWHelp4Path & """"
    If (GlobalShell.Run(VarCommand, 0, True) = 0) Then
      ' Success!
      '
      bVarSuccess = True
    End If
  End If

  WWHelp4_RegisterCOMObject = bVarSuccess
End Function

' ###############################################
